# Call the integration's API (POST)

> Source: https://truto.one/docs/api-reference/admin/custom-api/post/

`POST /custom/{path}`

Resource: **Custom API**

## Request body

- **`methodConfig`** _(object)_
  An integration method config applied to this call. Removed from the body before it is sent.

## Response body

- **`result`** _(array<unknown> | object)_
  The integration's response body, as the integration returned it.
- **`next_cursor`** _(string)_
  The integration's `next_cursor`, when its response body carries one.
- **`prev_cursor`** _(string)_
  The integration's `prev_cursor`, when its response body carries one.

## Code examples

### curl

```bash
curl -X POST 'https://api.truto.one/custom/{path}' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "methodConfig": {}
}'
```

### JavaScript

```javascript
const body = {
  "methodConfig": {}
};

const response = await fetch('https://api.truto.one/custom/{path}', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/custom/{path}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "methodConfig": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
```
